@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  rd startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and RD_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\rundeck-cli-1.0.27.jar;%APP_HOME%\lib\converter-jackson-2.1.0.jar;%APP_HOME%\lib\converter-simplexml-2.1.0.jar;%APP_HOME%\lib\retrofit-2.1.0.jar;%APP_HOME%\lib\logging-interceptor-3.4.1.jar;%APP_HOME%\lib\okhttp-urlconnection-3.4.1.jar;%APP_HOME%\lib\toolbelt-snakeyaml-0.2.1.jar;%APP_HOME%\lib\toolbelt-json-jackson-0.2.1.jar;%APP_HOME%\lib\toolbelt-jewelcli-0.2.1.jar;%APP_HOME%\lib\toolbelt-0.2.1.jar;%APP_HOME%\lib\okhttp-3.4.1.jar;%APP_HOME%\lib\jackson-databind-2.8.10.jar;%APP_HOME%\lib\simple-xml-2.7.1.jar;%APP_HOME%\lib\snakeyaml-1.9.jar;%APP_HOME%\lib\jackson-core-2.8.10.jar;%APP_HOME%\lib\jewelcli-0.8.9.jar;%APP_HOME%\lib\stax-1.2.0.jar;%APP_HOME%\lib\stax-api-1.0.1.jar;%APP_HOME%\lib\xpp3-1.1.3.3.jar;%APP_HOME%\lib\okio-1.9.0.jar;%APP_HOME%\lib\jackson-annotations-2.8.0.jar

@rem Execute rd
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %RD_OPTS%  -classpath "%CLASSPATH%" org.rundeck.client.tool.Main %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable RD_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%RD_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
